<?xml version="1.0" encoding="UTF-8"?>
<module type="RUBY_MODULE" version="4">
  <component name="FacetManager">
    <facet type="RailsFacetType" name="Ruby on Rails">
      <configuration>
        <RAILS_FACET_CONFIG_ID NAME="RAILS_FACET_SUPPORT_REMOVED" VALUE="false" />
        <RAILS_FACET_CONFIG_ID NAME="RAILS_TESTS_SOURCES_PATCHED" VALUE="true" />
        <RAILS_FACET_CONFIG_ID NAME="RAILS_FACET_APPLICATION_ROOT" VALUE="$MODULE_DIR$" />
      </configuration>
    </facet>
  </component>
  <component name="ModuleRunConfigurationManager">
    <shared />
  </component>
  <component name="NewModuleRootManager">
    <content url="file://$MODULE_DIR$">
      <sourceFolder url="file://$MODULE_DIR$/features" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/spec" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/test" isTestSource="true" />
      <excludeFolder url="file://$MODULE_DIR$/.bundle" />
      <excludeFolder url="file://$MODULE_DIR$/components" />
      <excludeFolder url="file://$MODULE_DIR$/log" />
      <excludeFolder url="file://$MODULE_DIR$/public/packs" />
      <excludeFolder url="file://$MODULE_DIR$/public/system" />
      <excludeFolder url="file://$MODULE_DIR$/tmp" />
      <excludeFolder url="file://$MODULE_DIR$/vendor/bundle" />
      <excludeFolder url="file://$MODULE_DIR$/vendor/cache" />
    </content>
    <orderEntry type="jdk" jdkName="rbenv: 3.2.2" jdkType="RUBY_SDK" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="library" scope="PROVIDED" name="actioncable (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionmailbox (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionmailer (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionpack (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actiontext (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionview (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="active_storage_base64 (v3.0.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activejob (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activemodel (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activerecord (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activestorage (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activesupport (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="api_guard (v0.6.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="argon2 (v2.3.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="bootsnap (v1.16.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="builder (v3.2.4, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="bundler (v2.4.15, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="concurrent-ruby (v1.2.2, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="connection_pool (v2.4.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="crass (v1.0.6, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="debug (v1.8.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="erubi (v1.12.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="ffi (v1.15.5, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="ffi-compiler (v1.0.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="fsrs.rb (v0.0.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="globalid (v1.2.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="i18n (v1.14.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="image_processing (v1.12.2, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="io-console (v0.6.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="irb (v1.8.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="jwt (v2.7.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="loofah (v2.21.3, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="mail (v2.8.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="marcel (v1.0.2, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="method_source (v1.0.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="mini_magick (v4.12.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="mini_mime (v1.1.5, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="minitest (v5.20.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="mono_logger (v1.1.2, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="msgpack (v1.7.2, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="multi_json (v1.15.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="mustermann (v3.0.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="net-imap (v0.3.7, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="net-pop (v0.1.2, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="net-smtp (v0.4.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="nio4r (v2.5.9, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="nokogiri (v1.15.4, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="pg (v1.5.4, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="psych (v5.1.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="puma (v5.6.7, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="pycall (v1.5.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="racc (v1.7.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack (v2.2.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack-cors (v2.0.1, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack-protection (v3.1.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack-test (v2.1.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rails (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rails-dom-testing (v2.2.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rails-html-sanitizer (v1.6.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="railties (v7.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rake (v13.0.6, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rdoc (v6.5.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="redis (v5.0.7, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="redis-client (v0.17.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="redis-namespace (v1.11.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="reline (v0.3.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="resque (v2.6.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="ruby-vips (v2.2.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="sinatra (v3.1.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="stringio (v3.0.8, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="thor (v1.2.2, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="tilt (v2.3.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="timeout (v0.4.0, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="tzinfo (v2.0.6, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="websocket-driver (v0.7.6, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="websocket-extensions (v0.1.5, rbenv: 3.2.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="zeitwerk (v2.6.11, rbenv: 3.2.2) [gem]" level="application" />
  </component>
  <component name="RModuleSettingsStorage">
    <LOAD_PATH number="0" />
    <I18N_FOLDERS number="1" string0="$MODULE_DIR$/config/locales" />
  </component>
  <component name="RailsGeneratorsCache">
    <option name="generators">
      <list>
        <option value="active_record:application_record" />
        <option value="active_record:migration" />
        <option value="active_record:model" />
        <option value="active_record:multi_db" />
        <option value="api_guard:controllers" />
        <option value="api_guard:initializer" />
        <option value="application_record" />
        <option value="benchmark" />
        <option value="channel" />
        <option value="controller" />
        <option value="generator" />
        <option value="integration_test" />
        <option value="job" />
        <option value="mailbox" />
        <option value="mailer" />
        <option value="migration" />
        <option value="model" />
        <option value="resource" />
        <option value="scaffold" />
        <option value="scaffold_controller" />
        <option value="system_test" />
        <option value="task" />
        <option value="test_unit:channel" />
        <option value="test_unit:controller" />
        <option value="test_unit:generator" />
        <option value="test_unit:helper" />
        <option value="test_unit:install" />
        <option value="test_unit:integration" />
        <option value="test_unit:job" />
        <option value="test_unit:mailbox" />
        <option value="test_unit:mailer" />
        <option value="test_unit:model" />
        <option value="test_unit:plugin" />
        <option value="test_unit:scaffold" />
        <option value="test_unit:system" />
      </list>
    </option>
    <option name="myGenerators">
      <list>
        <option value="active_record:application_record" />
        <option value="active_record:migration" />
        <option value="active_record:model" />
        <option value="active_record:multi_db" />
        <option value="api_guard:controllers" />
        <option value="api_guard:initializer" />
        <option value="application_record" />
        <option value="benchmark" />
        <option value="channel" />
        <option value="controller" />
        <option value="generator" />
        <option value="integration_test" />
        <option value="job" />
        <option value="mailbox" />
        <option value="mailer" />
        <option value="migration" />
        <option value="model" />
        <option value="resource" />
        <option value="scaffold" />
        <option value="scaffold_controller" />
        <option value="system_test" />
        <option value="task" />
        <option value="test_unit:channel" />
        <option value="test_unit:controller" />
        <option value="test_unit:generator" />
        <option value="test_unit:helper" />
        <option value="test_unit:install" />
        <option value="test_unit:integration" />
        <option value="test_unit:job" />
        <option value="test_unit:mailbox" />
        <option value="test_unit:mailer" />
        <option value="test_unit:model" />
        <option value="test_unit:plugin" />
        <option value="test_unit:scaffold" />
        <option value="test_unit:system" />
      </list>
    </option>
  </component>
  <component name="RailsPaths" isManagedAutomatically="true">
    <entry key="app">
      <value>file://$MODULE_DIR$/app</value>
    </entry>
    <entry key="app/assets">
      <value>file://$MODULE_DIR$/app/assets</value>
    </entry>
    <entry key="app/channels">
      <value>file://$MODULE_DIR$/app/channels</value>
    </entry>
    <entry key="app/controllers">
      <value>file://$MODULE_DIR$/app/controllers</value>
    </entry>
    <entry key="app/helpers">
      <value>file://$MODULE_DIR$/app/helpers</value>
    </entry>
    <entry key="app/mailers">
      <value>file://$MODULE_DIR$/app/mailers</value>
    </entry>
    <entry key="app/models">
      <value>file://$MODULE_DIR$/app/models</value>
    </entry>
    <entry key="app/views">
      <value>file://$MODULE_DIR$/app/views</value>
    </entry>
    <entry key="config">
      <value>file://$MODULE_DIR$/config</value>
    </entry>
    <entry key="config/cable">
      <value>file://$MODULE_DIR$/config/cable.yml</value>
    </entry>
    <entry key="config/database">
      <value>file://$MODULE_DIR$/config/database.yml</value>
    </entry>
    <entry key="config/environment">
      <value>file://$MODULE_DIR$/config/environment.rb</value>
    </entry>
    <entry key="config/environments">
      <value>file://$MODULE_DIR$/config/environments</value>
    </entry>
    <entry key="config/initializers">
      <value>file://$MODULE_DIR$/config/initializers</value>
    </entry>
    <entry key="config/locales">
      <value>file://$MODULE_DIR$/config/locales</value>
    </entry>
    <entry key="config/routes">
      <value>file://$MODULE_DIR$/config/routes</value>
    </entry>
    <entry key="config/routes.rb">
      <value>file://$MODULE_DIR$/config/routes.rb</value>
    </entry>
    <entry key="config/secrets">
      <value>file://$MODULE_DIR$/config</value>
    </entry>
    <entry key="db">
      <value>file://$MODULE_DIR$/db</value>
    </entry>
    <entry key="db/migrate">
      <value>file://$MODULE_DIR$/db/migrate</value>
    </entry>
    <entry key="db/seeds.rb">
      <value>file://$MODULE_DIR$/db/seeds.rb</value>
    </entry>
    <entry key="lib">
      <value>file://$MODULE_DIR$/lib</value>
    </entry>
    <entry key="lib/assets">
      <value>file://$MODULE_DIR$/lib/assets</value>
    </entry>
    <entry key="lib/tasks">
      <value>file://$MODULE_DIR$/lib/tasks</value>
    </entry>
    <entry key="lib/templates">
      <value>file://$MODULE_DIR$/lib/templates</value>
    </entry>
    <entry key="log">
      <value>file://$MODULE_DIR$/log/development.log</value>
    </entry>
    <entry key="public">
      <value>file://$MODULE_DIR$/public</value>
    </entry>
    <entry key="public/javascripts">
      <value>file://$MODULE_DIR$/public/javascripts</value>
    </entry>
    <entry key="public/stylesheets">
      <value>file://$MODULE_DIR$/public/stylesheets</value>
    </entry>
    <entry key="tmp">
      <value>file://$MODULE_DIR$/tmp</value>
    </entry>
    <entry key="vendor">
      <value>file://$MODULE_DIR$/vendor</value>
    </entry>
    <entry key="vendor/assets">
      <value>file://$MODULE_DIR$/vendor/assets</value>
    </entry>
  </component>
  <component name="RakeTasksCache">
    <option name="myRootTask">
      <RakeTaskImpl id="rake">
        <subtasks>
          <RakeTaskImpl description="List versions of all Rails frameworks and the environment" fullCommand="about" id="about" />
          <RakeTaskImpl id="action_mailbox">
            <subtasks>
              <RakeTaskImpl id="ingress">
                <subtasks>
                  <RakeTaskImpl description="Relay an inbound email from Exim to Action Mailbox (URL and INGRESS_PASSWORD required)" fullCommand="action_mailbox:ingress:exim" id="exim" />
                  <RakeTaskImpl description="Relay an inbound email from Postfix to Action Mailbox (URL and INGRESS_PASSWORD required)" fullCommand="action_mailbox:ingress:postfix" id="postfix" />
                  <RakeTaskImpl description="Relay an inbound email from Qmail to Action Mailbox (URL and INGRESS_PASSWORD required)" fullCommand="action_mailbox:ingress:qmail" id="qmail" />
                  <RakeTaskImpl description="" fullCommand="action_mailbox:ingress:environment" id="environment" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Installs Action Mailbox and its dependencies" fullCommand="action_mailbox:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="Copy migrations from action_mailbox to application" fullCommand="action_mailbox:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="action_text">
            <subtasks>
              <RakeTaskImpl description="Copy over the migration, stylesheet, and JavaScript files" fullCommand="action_text:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="Copy migrations from action_text to application" fullCommand="action_text:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="active_storage">
            <subtasks>
              <RakeTaskImpl description="Copy over the migration needed to the application" fullCommand="active_storage:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="active_storage:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="" fullCommand="active_storage:update" id="update" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="app">
            <subtasks>
              <RakeTaskImpl description="Applies the template supplied by LOCATION=(/path/to/template) or URL" fullCommand="app:template" id="template" />
              <RakeTaskImpl description="Update configs and some other initially generated files (or use just update:configs or update:bin)" fullCommand="app:update" id="update" />
              <RakeTaskImpl id="templates">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="app:templates:copy" id="copy" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="update">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="app:update:active_storage" id="active_storage" />
                  <RakeTaskImpl description="" fullCommand="app:update:bin" id="bin" />
                  <RakeTaskImpl description="" fullCommand="app:update:configs" id="configs" />
                  <RakeTaskImpl description="" fullCommand="app:update:db" id="db" />
                  <RakeTaskImpl description="" fullCommand="app:update:upgrade_guide_info" id="upgrade_guide_info" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="db">
            <subtasks>
              <RakeTaskImpl description="Creates the database from DATABASE_URL or config/database.yml for the current RAILS_ENV (use db:create:all to create all databases in the config). Without RAILS_ENV or when RAILS_ENV is development, it defaults to creating the development and test databases, except when DATABASE_URL is present" fullCommand="db:create" id="create" />
              <RakeTaskImpl description="Drops the database from DATABASE_URL or config/database.yml for the current RAILS_ENV (use db:drop:all to drop all databases in the config). Without RAILS_ENV or when RAILS_ENV is development, it defaults to dropping the development and test databases, except when DATABASE_URL is present" fullCommand="db:drop" id="drop" />
              <RakeTaskImpl id="encryption">
                <subtasks>
                  <RakeTaskImpl description="Generate a set of keys for configuring Active Record encryption in a given environment" fullCommand="db:encryption:init" id="init" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="environment">
                <subtasks>
                  <RakeTaskImpl description="Set the environment value for the database" fullCommand="db:environment:set" id="set" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="fixtures">
                <subtasks>
                  <RakeTaskImpl description="Loads fixtures into the current environment's database" fullCommand="db:fixtures:load" id="load" />
                  <RakeTaskImpl description="" fullCommand="db:fixtures:identify" id="identify" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Migrate the database (options: VERSION=x, VERBOSE=false, SCOPE=blog)" fullCommand="db:migrate" id="migrate" />
              <RakeTaskImpl id="migrate">
                <subtasks>
                  <RakeTaskImpl description="Runs the &quot;down&quot; for a given migration VERSION" fullCommand="db:migrate:down" id="down" />
                  <RakeTaskImpl description="Rolls back the database one migration and re-migrates up (options: STEP=x, VERSION=x)" fullCommand="db:migrate:redo" id="redo" />
                  <RakeTaskImpl description="Display status of migrations" fullCommand="db:migrate:status" id="status" />
                  <RakeTaskImpl description="Runs the &quot;up&quot; for a given migration VERSION" fullCommand="db:migrate:up" id="up" />
                  <RakeTaskImpl description="" fullCommand="db:migrate:reset" id="reset" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Runs setup if database does not exist, or runs migrations if it does" fullCommand="db:prepare" id="prepare" />
              <RakeTaskImpl description="Drops and recreates all databases from their schema for the current environment and loads the seeds" fullCommand="db:reset" id="reset" />
              <RakeTaskImpl description="Rolls the schema back to the previous version (specify steps w/ STEP=n)" fullCommand="db:rollback" id="rollback" />
              <RakeTaskImpl id="schema">
                <subtasks>
                  <RakeTaskImpl id="cache">
                    <subtasks>
                      <RakeTaskImpl description="Clears a db/schema_cache.yml file" fullCommand="db:schema:cache:clear" id="clear" />
                      <RakeTaskImpl description="Creates a db/schema_cache.yml file" fullCommand="db:schema:cache:dump" id="dump" />
                    </subtasks>
                  </RakeTaskImpl>
                  <RakeTaskImpl description="Creates a database schema file (either db/schema.rb or db/structure.sql, depending on `ENV['SCHEMA_FORMAT']` or `config.active_record.schema_format`)" fullCommand="db:schema:dump" id="dump" />
                  <RakeTaskImpl description="Loads a database schema file (either db/schema.rb or db/structure.sql, depending on `ENV['SCHEMA_FORMAT']` or `config.active_record.schema_format`) into the database" fullCommand="db:schema:load" id="load" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Loads the seed data from db/seeds.rb" fullCommand="db:seed" id="seed" />
              <RakeTaskImpl id="seed">
                <subtasks>
                  <RakeTaskImpl description="Truncates tables of each database for current environment and loads the seeds" fullCommand="db:seed:replant" id="replant" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Creates all databases, loads all schemas, and initializes with the seed data (use db:reset to also drop all databases first)" fullCommand="db:setup" id="setup" />
              <RakeTaskImpl description="Retrieves the current schema version number" fullCommand="db:version" id="version" />
              <RakeTaskImpl description="" fullCommand="db:_dump" id="_dump" />
              <RakeTaskImpl description="" fullCommand="db:abort_if_pending_migrations" id="abort_if_pending_migrations" />
              <RakeTaskImpl description="" fullCommand="db:charset" id="charset" />
              <RakeTaskImpl description="" fullCommand="db:check_protected_environments" id="check_protected_environments" />
              <RakeTaskImpl description="" fullCommand="db:collation" id="collation" />
              <RakeTaskImpl id="create">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:create:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="drop">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:drop:_unsafe" id="_unsafe" />
                  <RakeTaskImpl description="" fullCommand="db:drop:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="" fullCommand="db:forward" id="forward" />
              <RakeTaskImpl description="" fullCommand="db:load_config" id="load_config" />
              <RakeTaskImpl description="" fullCommand="db:purge" id="purge" />
              <RakeTaskImpl id="purge">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:purge:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="reset">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:reset:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="setup">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:setup:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="test">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:test:load" id="load" />
                  <RakeTaskImpl description="" fullCommand="db:test:load_schema" id="load_schema" />
                  <RakeTaskImpl description="" fullCommand="db:test:prepare" id="prepare" />
                  <RakeTaskImpl description="" fullCommand="db:test:purge" id="purge" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="" fullCommand="db:truncate_all" id="truncate_all" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="log">
            <subtasks>
              <RakeTaskImpl description="Truncates all/specified *.log files in log/ to zero bytes (specify which logs with LOGS=test,development)" fullCommand="log:clear" id="clear" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="Prints out your Rack middleware stack" fullCommand="middleware" id="middleware" />
          <RakeTaskImpl id="resque">
            <subtasks>
              <RakeTaskImpl id="failures">
                <subtasks>
                  <RakeTaskImpl description="Sort the 'failed' queue for the redis_multi_queue failure backend" fullCommand="resque:failures:sort" id="sort" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Start a Resque worker" fullCommand="resque:work" id="work" />
              <RakeTaskImpl description="Start multiple Resque workers" fullCommand="resque:workers" id="workers" />
              <RakeTaskImpl description="" fullCommand="resque:preload" id="preload" />
              <RakeTaskImpl description="" fullCommand="resque:setup" id="setup" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="Restart app by touching tmp/restart.txt" fullCommand="restart" id="restart" />
          <RakeTaskImpl description="Generate a cryptographically secure secret key (this is typically used to generate a secret for cookie sessions)" fullCommand="secret" id="secret" />
          <RakeTaskImpl description="Report code statistics (KLOCs, etc) from the application or engine" fullCommand="stats" id="stats" />
          <RakeTaskImpl description="Runs all tests in test folder except system ones" fullCommand="test" id="test" />
          <RakeTaskImpl id="test">
            <subtasks>
              <RakeTaskImpl description="Runs all tests, including system tests" fullCommand="test:all" id="all" />
              <RakeTaskImpl description="Run tests quickly, but also reset db" fullCommand="test:db" id="db" />
              <RakeTaskImpl description="Run system tests only" fullCommand="test:system" id="system" />
              <RakeTaskImpl description="" fullCommand="test:channels" id="channels" />
              <RakeTaskImpl description="" fullCommand="test:controllers" id="controllers" />
              <RakeTaskImpl description="" fullCommand="test:functionals" id="functionals" />
              <RakeTaskImpl description="" fullCommand="test:generators" id="generators" />
              <RakeTaskImpl description="" fullCommand="test:helpers" id="helpers" />
              <RakeTaskImpl description="" fullCommand="test:integration" id="integration" />
              <RakeTaskImpl description="" fullCommand="test:jobs" id="jobs" />
              <RakeTaskImpl description="" fullCommand="test:mailboxes" id="mailboxes" />
              <RakeTaskImpl description="" fullCommand="test:mailers" id="mailers" />
              <RakeTaskImpl description="" fullCommand="test:models" id="models" />
              <RakeTaskImpl description="" fullCommand="test:prepare" id="prepare" />
              <RakeTaskImpl description="" fullCommand="test:run" id="run" />
              <RakeTaskImpl description="" fullCommand="test:units" id="units" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="time">
            <subtasks>
              <RakeTaskImpl description="List all time zones, list by two-letter country code (`bin/rails time:zones[US]`), or list by UTC offset (`bin/rails time:zones[-8]`)" fullCommand="time:zones[country_or_offset]" id="zones[country_or_offset]" />
              <RakeTaskImpl description="" fullCommand="time:zones" id="zones" />
              <RakeTaskImpl id="zones">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="time:zones:all" id="all" />
                  <RakeTaskImpl description="" fullCommand="time:zones:local" id="local" />
                  <RakeTaskImpl description="" fullCommand="time:zones:us" id="us" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="tmp">
            <subtasks>
              <RakeTaskImpl description="Clear cache, socket and screenshot files from tmp/ (narrow w/ tmp:cache:clear, tmp:sockets:clear, tmp:screenshots:clear)" fullCommand="tmp:clear" id="clear" />
              <RakeTaskImpl description="Creates tmp directories for cache, sockets, and pids" fullCommand="tmp:create" id="create" />
              <RakeTaskImpl id="cache">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:cache:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="pids">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:pids:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="screenshots">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:screenshots:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="sockets">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:sockets:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="storage">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:storage:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="yarn">
            <subtasks>
              <RakeTaskImpl description="Install all JavaScript dependencies as specified via Yarn" fullCommand="yarn:install" id="install" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="zeitwerk">
            <subtasks>
              <RakeTaskImpl description="Checks project structure for Zeitwerk compatibility" fullCommand="zeitwerk:check" id="check" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="" fullCommand="default" id="default" />
          <RakeTaskImpl description="" fullCommand="environment" id="environment" />
          <RakeTaskImpl id="railties">
            <subtasks>
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="railties:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="" fullCommand="tmp" id="tmp" />
          <RakeTaskImpl description="" fullCommand="tmp/cache" id="tmp/cache" />
          <RakeTaskImpl description="" fullCommand="tmp/cache/assets" id="tmp/cache/assets" />
          <RakeTaskImpl description="" fullCommand="tmp/pids" id="tmp/pids" />
          <RakeTaskImpl description="" fullCommand="tmp/sockets" id="tmp/sockets" />
        </subtasks>
      </RakeTaskImpl>
    </option>
  </component>
  <component name="RakeTasksCache-v2">
    <option name="myRootTask">
      <RakeTaskImpl id="rake">
        <subtasks>
          <RakeTaskImpl description="List versions of all Rails frameworks and the environment" fullCommand="about" id="about" />
          <RakeTaskImpl id="action_mailbox">
            <subtasks>
              <RakeTaskImpl id="ingress">
                <subtasks>
                  <RakeTaskImpl description="Relay an inbound email from Exim to Action Mailbox (URL and INGRESS_PASSWORD required)" fullCommand="action_mailbox:ingress:exim" id="exim" />
                  <RakeTaskImpl description="Relay an inbound email from Postfix to Action Mailbox (URL and INGRESS_PASSWORD required)" fullCommand="action_mailbox:ingress:postfix" id="postfix" />
                  <RakeTaskImpl description="Relay an inbound email from Qmail to Action Mailbox (URL and INGRESS_PASSWORD required)" fullCommand="action_mailbox:ingress:qmail" id="qmail" />
                  <RakeTaskImpl description="" fullCommand="action_mailbox:ingress:environment" id="environment" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Installs Action Mailbox and its dependencies" fullCommand="action_mailbox:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="Copy migrations from action_mailbox to application" fullCommand="action_mailbox:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="action_text">
            <subtasks>
              <RakeTaskImpl description="Copy over the migration, stylesheet, and JavaScript files" fullCommand="action_text:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="Copy migrations from action_text to application" fullCommand="action_text:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="active_storage">
            <subtasks>
              <RakeTaskImpl description="Copy over the migration needed to the application" fullCommand="active_storage:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="active_storage:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="" fullCommand="active_storage:update" id="update" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="app">
            <subtasks>
              <RakeTaskImpl description="Applies the template supplied by LOCATION=(/path/to/template) or URL" fullCommand="app:template" id="template" />
              <RakeTaskImpl description="Update configs and some other initially generated files (or use just update:configs or update:bin)" fullCommand="app:update" id="update" />
              <RakeTaskImpl id="templates">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="app:templates:copy" id="copy" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="update">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="app:update:active_storage" id="active_storage" />
                  <RakeTaskImpl description="" fullCommand="app:update:bin" id="bin" />
                  <RakeTaskImpl description="" fullCommand="app:update:configs" id="configs" />
                  <RakeTaskImpl description="" fullCommand="app:update:db" id="db" />
                  <RakeTaskImpl description="" fullCommand="app:update:upgrade_guide_info" id="upgrade_guide_info" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="db">
            <subtasks>
              <RakeTaskImpl description="Creates the database from DATABASE_URL or config/database.yml for the current RAILS_ENV (use db:create:all to create all databases in the config). Without RAILS_ENV or when RAILS_ENV is development, it defaults to creating the development and test databases, except when DATABASE_URL is present" fullCommand="db:create" id="create" />
              <RakeTaskImpl description="Drops the database from DATABASE_URL or config/database.yml for the current RAILS_ENV (use db:drop:all to drop all databases in the config). Without RAILS_ENV or when RAILS_ENV is development, it defaults to dropping the development and test databases, except when DATABASE_URL is present" fullCommand="db:drop" id="drop" />
              <RakeTaskImpl id="encryption">
                <subtasks>
                  <RakeTaskImpl description="Generate a set of keys for configuring Active Record encryption in a given environment" fullCommand="db:encryption:init" id="init" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="environment">
                <subtasks>
                  <RakeTaskImpl description="Set the environment value for the database" fullCommand="db:environment:set" id="set" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="fixtures">
                <subtasks>
                  <RakeTaskImpl description="Loads fixtures into the current environment's database" fullCommand="db:fixtures:load" id="load" />
                  <RakeTaskImpl description="" fullCommand="db:fixtures:identify" id="identify" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Migrate the database (options: VERSION=x, VERBOSE=false, SCOPE=blog)" fullCommand="db:migrate" id="migrate" />
              <RakeTaskImpl id="migrate">
                <subtasks>
                  <RakeTaskImpl description="Runs the &quot;down&quot; for a given migration VERSION" fullCommand="db:migrate:down" id="down" />
                  <RakeTaskImpl description="Rolls back the database one migration and re-migrates up (options: STEP=x, VERSION=x)" fullCommand="db:migrate:redo" id="redo" />
                  <RakeTaskImpl description="Display status of migrations" fullCommand="db:migrate:status" id="status" />
                  <RakeTaskImpl description="Runs the &quot;up&quot; for a given migration VERSION" fullCommand="db:migrate:up" id="up" />
                  <RakeTaskImpl description="" fullCommand="db:migrate:reset" id="reset" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Runs setup if database does not exist, or runs migrations if it does" fullCommand="db:prepare" id="prepare" />
              <RakeTaskImpl description="Drops and recreates all databases from their schema for the current environment and loads the seeds" fullCommand="db:reset" id="reset" />
              <RakeTaskImpl description="Rolls the schema back to the previous version (specify steps w/ STEP=n)" fullCommand="db:rollback" id="rollback" />
              <RakeTaskImpl id="schema">
                <subtasks>
                  <RakeTaskImpl id="cache">
                    <subtasks>
                      <RakeTaskImpl description="Clears a db/schema_cache.yml file" fullCommand="db:schema:cache:clear" id="clear" />
                      <RakeTaskImpl description="Creates a db/schema_cache.yml file" fullCommand="db:schema:cache:dump" id="dump" />
                    </subtasks>
                  </RakeTaskImpl>
                  <RakeTaskImpl description="Creates a database schema file (either db/schema.rb or db/structure.sql, depending on `ENV['SCHEMA_FORMAT']` or `config.active_record.schema_format`)" fullCommand="db:schema:dump" id="dump" />
                  <RakeTaskImpl description="Loads a database schema file (either db/schema.rb or db/structure.sql, depending on `ENV['SCHEMA_FORMAT']` or `config.active_record.schema_format`) into the database" fullCommand="db:schema:load" id="load" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Loads the seed data from db/seeds.rb" fullCommand="db:seed" id="seed" />
              <RakeTaskImpl id="seed">
                <subtasks>
                  <RakeTaskImpl description="Truncates tables of each database for current environment and loads the seeds" fullCommand="db:seed:replant" id="replant" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Creates all databases, loads all schemas, and initializes with the seed data (use db:reset to also drop all databases first)" fullCommand="db:setup" id="setup" />
              <RakeTaskImpl description="Retrieves the current schema version number" fullCommand="db:version" id="version" />
              <RakeTaskImpl description="" fullCommand="db:_dump" id="_dump" />
              <RakeTaskImpl description="" fullCommand="db:abort_if_pending_migrations" id="abort_if_pending_migrations" />
              <RakeTaskImpl description="" fullCommand="db:charset" id="charset" />
              <RakeTaskImpl description="" fullCommand="db:check_protected_environments" id="check_protected_environments" />
              <RakeTaskImpl description="" fullCommand="db:collation" id="collation" />
              <RakeTaskImpl id="create">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:create:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="drop">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:drop:_unsafe" id="_unsafe" />
                  <RakeTaskImpl description="" fullCommand="db:drop:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="" fullCommand="db:forward" id="forward" />
              <RakeTaskImpl description="" fullCommand="db:load_config" id="load_config" />
              <RakeTaskImpl description="" fullCommand="db:purge" id="purge" />
              <RakeTaskImpl id="purge">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:purge:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="reset">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:reset:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="setup">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:setup:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="test">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:test:load" id="load" />
                  <RakeTaskImpl description="" fullCommand="db:test:load_schema" id="load_schema" />
                  <RakeTaskImpl description="" fullCommand="db:test:prepare" id="prepare" />
                  <RakeTaskImpl description="" fullCommand="db:test:purge" id="purge" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="" fullCommand="db:truncate_all" id="truncate_all" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="log">
            <subtasks>
              <RakeTaskImpl description="Truncates all/specified *.log files in log/ to zero bytes (specify which logs with LOGS=test,development)" fullCommand="log:clear" id="clear" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="Prints out your Rack middleware stack" fullCommand="middleware" id="middleware" />
          <RakeTaskImpl id="resque">
            <subtasks>
              <RakeTaskImpl id="failures">
                <subtasks>
                  <RakeTaskImpl description="Sort the 'failed' queue for the redis_multi_queue failure backend" fullCommand="resque:failures:sort" id="sort" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Start a Resque worker" fullCommand="resque:work" id="work" />
              <RakeTaskImpl description="Start multiple Resque workers" fullCommand="resque:workers" id="workers" />
              <RakeTaskImpl description="" fullCommand="resque:preload" id="preload" />
              <RakeTaskImpl description="" fullCommand="resque:setup" id="setup" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="Restart app by touching tmp/restart.txt" fullCommand="restart" id="restart" />
          <RakeTaskImpl description="Generate a cryptographically secure secret key (this is typically used to generate a secret for cookie sessions)" fullCommand="secret" id="secret" />
          <RakeTaskImpl description="Report code statistics (KLOCs, etc) from the application or engine" fullCommand="stats" id="stats" />
          <RakeTaskImpl description="Runs all tests in test folder except system ones" fullCommand="test" id="test" />
          <RakeTaskImpl id="test">
            <subtasks>
              <RakeTaskImpl description="Runs all tests, including system tests" fullCommand="test:all" id="all" />
              <RakeTaskImpl description="Run tests quickly, but also reset db" fullCommand="test:db" id="db" />
              <RakeTaskImpl description="Run system tests only" fullCommand="test:system" id="system" />
              <RakeTaskImpl description="" fullCommand="test:channels" id="channels" />
              <RakeTaskImpl description="" fullCommand="test:controllers" id="controllers" />
              <RakeTaskImpl description="" fullCommand="test:functionals" id="functionals" />
              <RakeTaskImpl description="" fullCommand="test:generators" id="generators" />
              <RakeTaskImpl description="" fullCommand="test:helpers" id="helpers" />
              <RakeTaskImpl description="" fullCommand="test:integration" id="integration" />
              <RakeTaskImpl description="" fullCommand="test:jobs" id="jobs" />
              <RakeTaskImpl description="" fullCommand="test:mailboxes" id="mailboxes" />
              <RakeTaskImpl description="" fullCommand="test:mailers" id="mailers" />
              <RakeTaskImpl description="" fullCommand="test:models" id="models" />
              <RakeTaskImpl description="" fullCommand="test:prepare" id="prepare" />
              <RakeTaskImpl description="" fullCommand="test:run" id="run" />
              <RakeTaskImpl description="" fullCommand="test:units" id="units" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="time">
            <subtasks>
              <RakeTaskImpl description="List all time zones, list by two-letter country code (`bin/rails time:zones[US]`), or list by UTC offset (`bin/rails time:zones[-8]`)" fullCommand="time:zones[country_or_offset]" id="zones[country_or_offset]" />
              <RakeTaskImpl description="" fullCommand="time:zones" id="zones" />
              <RakeTaskImpl id="zones">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="time:zones:all" id="all" />
                  <RakeTaskImpl description="" fullCommand="time:zones:local" id="local" />
                  <RakeTaskImpl description="" fullCommand="time:zones:us" id="us" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="tmp">
            <subtasks>
              <RakeTaskImpl description="Clear cache, socket and screenshot files from tmp/ (narrow w/ tmp:cache:clear, tmp:sockets:clear, tmp:screenshots:clear)" fullCommand="tmp:clear" id="clear" />
              <RakeTaskImpl description="Creates tmp directories for cache, sockets, and pids" fullCommand="tmp:create" id="create" />
              <RakeTaskImpl id="cache">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:cache:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="pids">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:pids:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="screenshots">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:screenshots:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="sockets">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:sockets:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="storage">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:storage:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="yarn">
            <subtasks>
              <RakeTaskImpl description="Install all JavaScript dependencies as specified via Yarn" fullCommand="yarn:install" id="install" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="zeitwerk">
            <subtasks>
              <RakeTaskImpl description="Checks project structure for Zeitwerk compatibility" fullCommand="zeitwerk:check" id="check" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="" fullCommand="default" id="default" />
          <RakeTaskImpl description="" fullCommand="environment" id="environment" />
          <RakeTaskImpl id="railties">
            <subtasks>
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="railties:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="" fullCommand="tmp" id="tmp" />
          <RakeTaskImpl description="" fullCommand="tmp/cache" id="tmp/cache" />
          <RakeTaskImpl description="" fullCommand="tmp/cache/assets" id="tmp/cache/assets" />
          <RakeTaskImpl description="" fullCommand="tmp/pids" id="tmp/pids" />
          <RakeTaskImpl description="" fullCommand="tmp/sockets" id="tmp/sockets" />
        </subtasks>
      </RakeTaskImpl>
    </option>
  </component>
</module>